Package org.eclipse.emf.cdo.edit

# Class CDOItemProviderAdapter.CDOPropertyDescriptor

java.lang.Object
org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor

All Implemented Interfaces:
  `IItemLabelProvider`, `IItemPropertyDescriptor`

Direct Known Subclasses:
  `CDOItemProviderAdapter.AdaptersDescriptor`, `CDOItemProviderAdapter.ChangeSubscriptionPoliciesDescriptor`, `CDOItemProviderAdapter.ContainerDescriptor`, `CDOItemProviderAdapter.DirectResourceDescriptor`, `CDOItemProviderAdapter.IDDescriptor`, `CDOItemProviderAdapter.ReadLockedDescriptor`, `CDOItemProviderAdapter.StateDescriptor`, `CDOItemProviderAdapter.URIDescriptor`, `CDOItemProviderAdapter.VersionDescriptor`, `CDOItemProviderAdapter.ViewDescriptor`, `CDOItemProviderAdapter.WriteLockedDescriptor`, `CDOItemProviderAdapter.WriteOptionDescriptor`

Enclosing class:
  `CDOItemProviderAdapter`

public static class CDOItemProviderAdapter.CDOPropertyDescriptor extends Object implements IItemPropertyDescriptor, IItemLabelProvider
Base abstract to add CDO debug information to PropertiesView. Users wanting to add new information to the Properties view can subclass this class instead of directly implementing `IItemPropertyDescriptor`.

Since:
  2.0
Author:
  Victor Roldan Betancort

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider`
Deprecated.
As of 4.4 not used any more.

## Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor

`IItemPropertyDescriptor.OverrideableCommandOwner, IItemPropertyDescriptor.ValueHandler, IItemPropertyDescriptor.ValueHandlerProvider`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CDO_CATEGORY`
PropertiesView category for CDO
`static final String[]`
`FILTER_ID_EXPERT`
The filter id for expert properties

## Constructor Summary

Constructors
Constructor
Description
`CDOPropertyDescriptor()`
Deprecated.
As of 4.4.
`CDOPropertyDescriptor(org.eclipse.net4j.util.properties.Property<EObject> property)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canSetProperty(Object object)`
`String`
`getCategory(Object object)`
`Collection<?>`
`getChoiceOfValues(Object object)`
`String`
`getDescription(Object object)`
`String`
`getDisplayName(Object object)`
`Object`
`getFeature(Object object)`
`String[]`
`getFilterFlags(Object object)`
`Object`
`getHelpContextIds(Object object)`
`String`
`getId(Object object)`
`Object`
`getImage(Object object)`
`IItemLabelProvider`
`getLabelProvider(Object object)`
`final org.eclipse.net4j.util.properties.Property<EObject>`
`getProperty()`
`Object`
`getPropertyValue(Object object)`
`String`
`getText(Object object)`
`boolean`
`isCompatibleWith(Object object, Object anotherObject, IItemPropertyDescriptor anotherPropertyDescriptor)`
`boolean`
`isMany(Object object)`
`boolean`
`isMultiLine(Object object)`
`boolean`
`isPropertySet(Object object)`
`boolean`
`isSortChoices(Object object)`
`void`
`resetPropertyValue(Object object)`
`void`
`setPropertyValue(Object object, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FILTER_ID_EXPERT

public static final String[] FILTER_ID_EXPERT
The filter id for expert properties

### CDO_CATEGORY

public static final String CDO_CATEGORY
PropertiesView category for CDO

## Constructor Details

### CDOPropertyDescriptor

@Deprecated public CDOPropertyDescriptor()
Deprecated.
As of 4.4. use `CDOPropertyDescriptor(Property)`.

### CDOPropertyDescriptor

public CDOPropertyDescriptor(org.eclipse.net4j.util.properties.Property<EObject> property)

Since:
  4.4

## Method Details

### getProperty

public final org.eclipse.net4j.util.properties.Property<EObject> getProperty()

Since:
  4.4

### getId

public String getId(Object object)

Specified by:
  `getId` in interface `IItemPropertyDescriptor`
Since:
  4.4

### getFeature

public Object getFeature(Object object)

Specified by:
  `getFeature` in interface `IItemPropertyDescriptor`
Since:
  4.4

### getDisplayName

public String getDisplayName(Object object)

Specified by:
  `getDisplayName` in interface `IItemPropertyDescriptor`
Since:
  4.4

### getDescription

public String getDescription(Object object)

Specified by:
  `getDescription` in interface `IItemPropertyDescriptor`
Since:
  4.4

### isPropertySet

public boolean isPropertySet(Object object)

Specified by:
  `isPropertySet` in interface `IItemPropertyDescriptor`

### getPropertyValue

public Object getPropertyValue(Object object)

Specified by:
  `getPropertyValue` in interface `IItemPropertyDescriptor`
Since:
  4.4

### setPropertyValue

public void setPropertyValue(Object object, Object value)

Specified by:
  `setPropertyValue` in interface `IItemPropertyDescriptor`

### resetPropertyValue

public void resetPropertyValue(Object object)

Specified by:
  `resetPropertyValue` in interface `IItemPropertyDescriptor`

### canSetProperty

public boolean canSetProperty(Object object)

Specified by:
  `canSetProperty` in interface `IItemPropertyDescriptor`

### getCategory

public String getCategory(Object object)

Specified by:
  `getCategory` in interface `IItemPropertyDescriptor`

### getChoiceOfValues

public Collection<?> getChoiceOfValues(Object object)

Specified by:
  `getChoiceOfValues` in interface `IItemPropertyDescriptor`

### getHelpContextIds

public Object getHelpContextIds(Object object)

Specified by:
  `getHelpContextIds` in interface `IItemPropertyDescriptor`

### isCompatibleWith

public boolean isCompatibleWith(Object object, Object anotherObject, IItemPropertyDescriptor anotherPropertyDescriptor)

Specified by:
  `isCompatibleWith` in interface `IItemPropertyDescriptor`

### isMany

public boolean isMany(Object object)

Specified by:
  `isMany` in interface `IItemPropertyDescriptor`

### isMultiLine

public boolean isMultiLine(Object object)

Specified by:
  `isMultiLine` in interface `IItemPropertyDescriptor`

### isSortChoices

public boolean isSortChoices(Object object)

Specified by:
  `isSortChoices` in interface `IItemPropertyDescriptor`

### getFilterFlags

public String[] getFilterFlags(Object object)

Specified by:
  `getFilterFlags` in interface `IItemPropertyDescriptor`

### getLabelProvider

public IItemLabelProvider getLabelProvider(Object object)

Specified by:
  `getLabelProvider` in interface `IItemPropertyDescriptor`

### getImage

public Object getImage(Object object)

Specified by:
  `getImage` in interface `IItemLabelProvider`
Since:
  4.4

### getText

public String getText(Object object)

Specified by:
  `getText` in interface `IItemLabelProvider`
Since:
  4.4